Bug 833847 - there should exist testcaserun page
there should exist testcaserun page
Status: NEW
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.0
Unspecified Unspecified
high Severity high
: ---
: 4.0
Assigned To: June Zhang
tools-bugs
:
Depends On: 709764
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 09:12 EDT by Jan Ščotka
Modified: 2016-05-26 09:15 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 709764
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Ščotka 2012-06-20 09:12:40 EDT
Hi,
I would like to see also second solution implemented
it means that there should exist page for testcase run, it opens only one testcaserun like:
https://tcms.engineering.redhat.com/caserun/527043
from my point of view creation of that should be easy and for us it can improve our abilities to use TCMS
   Thanks&Regards
   Honza


+++ This bug was initially created as a clone of Bug #709764 +++

Description of problem:
Hi,
we uses link to testcase in testrun:
https://tcms.engineering.redhat.com/run/21793/#caserun_527043
And it should be good at least focus case (or open only caserun_527043)
in testrun where is big amout of testcases isn't easy possible to find which one is opened (at least in F14 firefox it isn't focused properly)


Expected results:
there are two solution what are for me relevant:
  1. when page https://tcms.engineering.redhat.com/run/21793/#caserun_527043 is opened, it is scrolled to show mentioned caserun

  2. create caserun page:
 for example like: https://tcms.engineering.redhat.com/caserun/527043
 to be able edit only this one caserun (not show another one)

What do you think?

   Thanks
   Honza

--- Additional comment from yuwang@redhat.com on 2011-06-09 01:19:45 EDT ---

Will fix it in version 3.5, using solution 1.
Thanks :)

--- Additional comment from jscotka@redhat.com on 2011-06-23 04:01:25 EDT ---

Also thanks,
I'm looking forward
   Regards
   Honza

--- Additional comment from yuwang@redhat.com on 2011-07-05 22:15:51 EDT ---

Fixed. Will inform you to verify when it's online(hopefully within this week).

--- Additional comment from GFENG@redhat.com on 2011-07-15 01:19:41 EDT ---

Verify 3.5.0-1 on stage -->PASS

Verify steps:
1.Enter into a run.
2.Choose a caserun and click its CaseRun ID, then the caserun is open.
3.Copy the link in the address bar and open in a new window.

Actual result:
After step3, it will open the same run and the caserun you chose is open too.
While the other caseruns are closed.
The link you copy in step3 is like:
"https://tcms-stage.englab.bne.redhat.com/run/XXXXX/#caserun_XXXXXX"
Comment 1 yawei Li 2012-07-13 03:45:12 EDT
will consider it in tcms 4.0 or later, if more user need it.
Comment 2 Ales Zelinka 2012-07-16 11:30:59 EDT
I would like to have this feature implemented too. It would make the UI faster (= no need to load all cases when user needs to see just one) and easier to use (= less irrelevant content displayed). Thanks.
Comment 3 Jan Ščotka 2012-07-17 05:25:24 EDT
Hi,
It would be nice, the page will be as simple as possible, without any AJAX, any headers or footnotes, or only as simple AJAX as possible (change state, add comments, some other useful changes (tester)).
We have hundreds of testcases in plan, and therefore show whole page for planrun is very slow, in case we generally need to open only one testcaserun.
   Thanks&Regards
   Honza

Note You need to log in before you can comment on or make changes to this bug.